import sys

from . import noescape


def main(in_name=None, out_name=None):
    if in_name:
        fi = open(in_name, 'rb')
    else:
        fi = sys.stdin.buffer

    if out_name:
        fo = open(out_name, 'w')
    else:
        fo = sys.stdout

    for l in fi:
        # strip '\n'
        l = l[:-1]
        # print
        u = noescape(l)
        u = bytes(u)
        print(u, file=fo)
    

if __name__ == '__main__':
    main(*sys.argv[1:])
